Stat (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs, class: Stat

Package org.apache.hadoop.fs

# Class Stat

java.lang.Object
org.apache.hadoop.util.Shell
org.apache.hadoop.fs.Stat

@LimitedPrivate({"HDFS","MapReduce"}) @Evolving public class Stat extends Shell
Wrapper for the Unix stat(1) command. Used to workaround the lack of lstat(2) in Java 6.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.util.Shell

  `Shell.CommandExecutor, Shell.ExitCodeException, Shell.OSType, Shell.ShellCommandExecutor`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.util.Shell

  `ENV_HADOOP_HOME, ENV_NAME_REGEX, FREEBSD, inheritParentEnv, isSetsidAvailable, LINK_COMMAND, LINUX, LOG, MAC, osType, OTHER, PPC_64, READ_LINK_COMMAND, SET_GROUP_COMMAND, SET_OWNER_COMMAND, SET_PERMISSION_COMMAND, SOLARIS, SYSPROP_HADOOP_HOME_DIR, timeOutInterval, TOKEN_SEPARATOR_REGEX, USER_NAME_COMMAND, WINDOWS, WINDOWS_MAX_SHELL_LENGHT, WINDOWS_MAX_SHELL_LENGTH, WindowsProcessLaunchLock, WINUTILS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Stat(Path path, long blockSize, boolean deref, FileSystem fs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String[]`
  `getExecString()`
  return an array containing the command name and its parameters.
  `FileStatus`
  `getFileStatus()`
  `static boolean`
  `isAvailable()`
  Whether Stat is supported on the current platform.
  `protected void`
  `parseExecResult(BufferedReader lines)`
  Parse the execution result.

  ### Methods inherited from class org.apache.hadoop.util.Shell

  `appendScriptExtension, appendScriptExtension, bashQuote, checkIsBashSupported, checkWindowsCommandLineLength, destroyAllShellProcesses, execCommand, execCommand, execCommand, getAllShells, getCheckProcessIsAliveCommand, getEnvironment, getEnvironmentVariableRegex, getExitCode, getGetPermissionCommand, getGroupsCommand, getGroupsForUserCommand, getGroupsIDForUserCommand, getHadoopHome, getMemlockLimit, getProcess, getQualifiedBin, getQualifiedBinPath, getReadlinkCommand, getRunScriptCommand, getSetOwnerCommand, getSetPermissionCommand, getSetPermissionCommand, getSignalKillCommand, getSymlinkCommand, getUsersForNetgroupCommand, getWaitingThread, getWinUtilsFile, getWinUtilsPath, hasWinutilsPath, isJava7OrAbove, isJavaVersionAtLeast, isTimedOut, run, setEnvironment, setWorkingDirectory`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Stat

    public Stat(Path path, long blockSize, boolean deref, FileSystem fs) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getFileStatus

    public FileStatus getFileStatus() throws IOException
    Throws:
      `IOException`

  - ### isAvailable

    public static boolean isAvailable()
    Whether Stat is supported on the current platform.
    Returns:
      if is available true, not false.

  - ### getExecString

    protected String[] getExecString()
    Description copied from class: `Shell`
    return an array containing the command name and its parameters.
    Specified by:
      `getExecString` in class `Shell`
    Returns:
      exec string array.

  - ### parseExecResult

    protected void parseExecResult(BufferedReader lines) throws IOException
    Description copied from class: `Shell`
    Parse the execution result.
    Specified by:
      `parseExecResult` in class `Shell`
    Parameters:
      `lines` - lines.
    Throws:
      `IOException` - raised on errors performing I/O.